Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class SimpleDeserializerFactory

    java.lang.Object
      |
      +--org.apache.axis.encoding.ser.BaseDeserializerFactory
            |
            +--org.apache.axis.encoding.ser.SimpleDeserializerFactory

All Implemented Interfaces:
  DeserializerFactory, DeserializerFactory, java.io.Serializable

public class SimpleDeserializerFactory
extends BaseDeserializerFactory

A deserializer for any simple type with a (String) constructor. Note: this class is designed so that subclasses need only override the makeValue method in order to construct objects of their own type.

Author:
  Glen Daniels (gdaniels@macromedia.com), Sam Ruby (rubys@us.ibm.com) Modified for JAX-RPC @author Rich Scheuerle (scheu@us.ibm.com)
See Also:
  Serialized Form

Fields inherited from class org.apache.axis.encoding.ser.BaseDeserializerFactory
`deserClass, deserClassConstructor, getDeserializer, javaType, xmlType`

Constructor Summary
`SimpleDeserializerFactory(java.lang.Class javaType, QName xmlType)` Note that the factory is constructed with the QName and xmlType.

Method Summary
`Deserializer` | `getDeserializerAs(java.lang.String mechanismType)` Get the Deserializer and the set the Constructor so the deserializer does not have to do introspection.

Methods inherited from class org.apache.axis.encoding.ser.BaseDeserializerFactory
`createFactory, getGeneralPurpose, getSpecialized, getSupportedMechanismTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleDeserializerFactory

    public SimpleDeserializerFactory(java.lang.Class javaType,
                                     QName xmlType)

  Note that the factory is constructed with the QName and xmlType. This is important to allow distinction between primitive values and java.lang wrappers.

Method Detail

### getDeserializerAs

    public Deserializer getDeserializerAs(java.lang.String mechanismType)
                                   throws JAXRPCException

  Get the Deserializer and the set the Constructor so the deserializer does not have to do introspection.
  Overrides:
    `getDeserializerAs` in class `BaseDeserializerFactory`
  Following copied from interface: `javax.xml.rpc.encoding.DeserializerFactory`
  Parameters:
    `mechanismType` - XML processing mechanism type [TBD: definition of valid constants]
  Returns:
    Returns a Deserializer for the specified XML processing mechanism type.
  Throws:
    `JAXRPCException` - If DeserializerFactory does not support the specified XML processing mechanism

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.